from pydantic import BaseModel


class PlainString(BaseModel):
    data: str | None


class PlainInt(BaseModel):
    data: int | None


class Players(BaseModel):
    max_count: int | None
    online: int | None
    lst: tuple


class BoolSchema(BaseModel):
    data: bool


class TupleSchema(BaseModel):
    data: tuple


class AllInfo(BaseModel):
    status: bool
    name: str | None
    motd: str | None
    players: Players
